#
# spec file for package gtk-qt-engine (Version 0.7cvs20061120)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel PolicyKit aaa_base acl alsa alsa-devel arts arts-devel atk atk-devel attr audiofile audiofile-devel audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 cairo cairo-devel cmake coreutils cpio cpp cpp41 cracklib cups-devel cups-libs curl cvs cyrus-sasl db dbus-1 dbus-1-devel dbus-1-glib dbus-1-glib-devel dbus-1-qt3 dbus-1-qt3-devel desktop-translations diffutils e2fsprogs esound esound-devel expat fam fam-devel file fileshareset filesystem fillup findutils flac flex fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gcc-c++ gcc41 gcc41-c++ gconf2 gconf2-devel gdbm gdbm-devel gettext gettext-devel glib glib-devel glib2 glib2-devel glibc glibc-32bit glibc-devel glibc-locale glitz glitz-devel gnome-filesystem gnome-vfs2 gnome-vfs2-devel gpm grep groff gtk gtk-devel gtk2 gtk2-devel gzip hal hal-devel info insserv jack jack-devel kdebase3 kdelibs3 kdelibs3-arts kdelibs3-devel kdelibs3-doc kdesdk3 klogd krb5 less libacl libacl-devel libart_lgpl libart_lgpl-devel libattr libattr-devel libbonobo libbonobo-devel libbonoboui libbonoboui-devel libcom_err libdrm libdrm-devel libgcc41 libgcrypt libgcrypt-devel libglade2 libgnome libgnome-devel libgnomecanvas libgnomecanvas-devel libgpg-error libgpg-error-devel libidn libidn-devel libjpeg libjpeg-devel liblazy liblcms liblcms-devel libltdl libmng libmng-devel libmudflap41 libnscd libogg libogg-devel libpng libpng-devel libstdc++-devel libstdc++41 libstdc++41-devel libtiff libtiff-devel libtool libusb libvolume_id libvorbis libvorbis-devel libxcrypt libxml2 libxml2-devel libxslt libxslt-devel libzio linux-kernel-headers m4 mDNSResponder-devel mDNSResponder-lib make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl openssl-devel orbit2 orbit2-devel pam pam-modules pango pango-devel patch pcre pcre-devel perl permissions pkgconfig pm-utils popt popt-devel procinfo procps psmisc pwdutils python qt3 qt3-devel rcs readline resmgr rpm sed sgml-skel sqlite strace sudo sysvinit tar tcpd texinfo timezone unsermake unzip update-desktop-files util-linux vim xorg-x11 xorg-x11-devel xorg-x11-fonts-devel xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libs xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-util-devel xorg-x11-xtrans-devel zlib zlib-devel

Name:           gtk-qt-engine
BuildRequires:  cmake gtk-devel gtk2-devel kdebase3 kdelibs3-devel kdesdk3 libbonoboui-devel
License:        GPL v2 or later
Group:          System/Libraries
Summary:        GTK-Style Engine for Use with Qt Plug-Ins and Settings
Version:        0.7cvs20061120
Release:        6
Url:            http://www.freedesktop.org/Software/gtk-qt
Source:         %{name}-%{version}.tar.bz2
Patch:          fix-iconpaths.patch
Patch1:         gtk-qt-engine-small-pixmaps.patch
Patch2:         mozilla-scrollbars.patch
Patch3:         hide-mozilla-groupbox.diff
Patch4:         fix-nspluginviewer-crash.diff
#Patch4:         fix-slider.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This engine is for use by GTK applications running in KDE. It applies
all Qt settings to the GTK application and uses Qt style plug-ins
directly.



Authors:
--------
    David Sansome <me@davidsansome.com>

%define prefix /opt/kde3
%debug_package

%prep
%setup -q -n %name
%patch
%patch1 -p1
%patch2
%patch3
%patch4
# This code seems to have changed, need to check if the problem reoccurs
#%patch4
#. /etc/opt/kde3/common_options
#update_admin

%build
export CFLAGS="$RPM_OPT_FLAGS"
export CXXFLAGS="$CFLAGS"
#mkdir build
#cd build
cmake -DCMAKE_INSTALL_PREFIX=%prefix -DCMAKE_BUILD_TYPE=debugfull .
make %{?jobs:-j %jobs}
#. /etc/opt/kde3/common_options
#./configure $configkde

%install
. /etc/opt/kde3/common_options
#cd build
make install DESTDIR=$RPM_BUILD_ROOT
# WS: what did this do?
#rm -rf $RPM_BUILD_ROOT/usr/lib
# WS: removing older version?
#rm $RPM_BUILD_ROOT/opt/gnome/%{_lib}/gtk-2.0/*/engines/libqtengine.la
# moving wrong default location?
# mkdir -p $RPM_BUILD_ROOT/opt/kde3/share/applications
#cp $RPM_BUILD_ROOT/usr/share/applications/kcmgtk-xdg.desktop $RPM_BUILD_ROOT/opt/kde3/share/applications
%find_lang gtkqtengine

%clean
rm -rf $RPM_BUILD_ROOT

%files -f gtkqtengine.lang
%defattr(-,root,root)
%doc AUTHORS README NEWS COPYING ChangeLog
/opt/gnome/%_lib/gtk-*/*/engines/*
/opt/gnome/share/themes/Qt
/opt/gnome/share/themes/Qt/gtk-*
/opt/gnome/share/themes/Qt/gtk-*/gtkrc
/opt/kde3/share/applications/*.desktop
#/opt/gnome/share/gtk-qt-engine
/opt/kde3/%_lib/kde3/kcm_kcmgtk.*

%changelog
* Thu Jan 10 2008 - dmueller@suse.de
- exclude nspluginviewer from theming (#348088)
* Mon Nov 20 2006 - wstephenson@suse.de
- Update to new svn repository:
  Changes since 0.7:
  * Switch the buildsystem from autotools to CMake.  CMake 2.4 is now required
  to build the project.
  * Fix scrollbar sliders in the Domino widget style
  * Fix a bug that caused Qt colours not to be applied to GTK applications.
  This fixes several graphical problems when using dark colour schemes.
  * Fix a bug that would disable Bonobo support even when the correct packages
  were installed
  * The control center module will now write a configuration file that will
  only affect applications inside KDE.  Applications running in GNOME can be
  themed separately using the GNOME tools.
  * Add a setting for emacs keyboard shortcuts
  * Fix OpenOffice detection on Fedora Core.
  * Draw default buttons properly.
  * Provide a fallback icon even when one of the right size doesn't exist
  * Fix invalid CSS comments.
  * When the Qt theme can't be found, display a dialog allowing the user to
  modify the search paths.
  * Respect KDE's "Show icons on buttons" setting
  * Fix icon themes in GNOME apps such as evolution on Fedora Core 5 and 6
* Thu Aug 03 2006 - stbinner@suse.de
- fix build
* Fri Jun 23 2006 - dmueller@suse.de
- add fix for crashes with Baghira (#187765)
* Tue May 09 2006 - stbinner@suse.de
- fix Firefox/Thunderbird not starting with ThinKeramik (#172681)
* Tue Mar 21 2006 - llunak@suse.cz
- fix icon paths handling (#157455)
* Fri Mar 17 2006 - stbinner@suse.de
- hide the obsolete Mozilla scrollbar workaroudn groupbox in kcm
* Tue Mar 14 2006 - dmueller@suse.de
- updated patch by Lubos for scrollbars (#143263)
* Wed Mar 01 2006 - stbinner@suse.de
- add patch to don't mess with the user's .bashrc / GTK2_RC_FILES
* Fri Feb 10 2006 - llunak@suse.cz
- update from CVS
- fix slider size (#118667)
- workaround for Mozilla scrollbars (#143263)
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 16 2006 - stbinner@suse.de
- update from CVS for more complete translations
- fix "gtk-qt-engine not in KDE control center" (#121876)
* Mon Oct 03 2005 - ltinkl@suse.cz
- fix config file writing for some icon themes (e.g. iKons) (#63853)
* Fri Sep 09 2005 - matz@suse.de
- Fix build on lib64 platforms.
* Wed Sep 07 2005 - clahey@suse.de
- In all cases where we create a pixmap, bail if either parameter
  is less than 1.  Fixes #113936.
* Thu Aug 11 2005 - clahey@suse.de
- Set a colormap on the backing pixbuf we set.
* Wed Apr 27 2005 - adrian@suse.de
- fix compile with gcc 4 on 64bit
* Mon Feb 28 2005 - adrian@suse.de
- update to current cvs snapshot
  * memory leak fix
* Wed Jan 05 2005 - adrian@suse.de
- update to version 0.6
* Tue Nov 30 2004 - adrian@suse.de
- complete last fix (#45222)
* Tue Nov 23 2004 - adrian@suse.de
- crash fix by matz (#45222)
* Mon Oct 04 2004 - matz@suse.de
- Fix inverted sliders and the file box of the file dialog
  (look at inverted flag of ranges and new types of rows) (#45930, #44868).
* Fri Aug 27 2004 - adrian@suse.de
- disable kcm modul since it is not translated
* Mon Aug 16 2004 - schwab@suse.de
- Fix last change.
* Mon Aug 16 2004 - adrian@suse.de
- fix build error
* Fri Aug 13 2004 - adrian@suse.de
- update to version 0.5
  * new kcm module
* Wed Feb 11 2004 - adrian@suse.de
- initial packaging of version 0.3
